> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Vendor All Details

> Use this API to get the details of a specific vendor associated with your Easy Split account.



## OpenAPI

````yaml /openapi/payments/v2025-01-01.yaml get /easy-split/vendors/{vendor_id}
openapi: 3.0.0
info:
  version: '2025-01-01'
  title: Cashfree Payment Gateway APIs
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  contact:
    email: developers@cashfree.com
    name: API Support
    url: https://discord.com/invite/QdZkNSxXsB
  description: >-
    Cashfree's Payment Gateway APIs provide developers with a streamlined
    pathway to integrate advanced payment processing capabilities into their
    applications, platforms and websites.
servers:
  - url: https://sandbox.cashfree.com/pg
    description: Sandbox server.
  - url: https://api.cashfree.com/pg
    description: Production server.
security: []
tags:
  - name: Orders
    description: Collection of APIs to handle orders.
  - name: Payments
    description: Collection of APIs to handle payments.
  - name: Refunds
    description: Collection of APIs to handle refunds.
  - name: Settlements
    description: Collection of APIs to handle settlements.
  - name: Payment Links
    description: Collection of APIs to handle payment links.
  - name: Token Vault
    description: >-
      Collection of APIs to use Cashfree's token Vault. This helps you save
      cards and tokenize them in a PCI complaint manner. We support creation of
      network tokens which can be used across acquiring banks.
  - name: softPOS
    description: Collection of APIs to manage softPOS' agent and order.
  - name: Offers
    description: Collection of APIs to handle offers.
  - name: Eligibility
    description: >-
      Collection of APIs to check eligibile entities - payment methods, offer,
      affordibility.
  - name: Settlement Reconciliation
    description: Collection of APIs to handle settlements.
  - name: PG Reconciliation
    description: Collection of APIs to handle reconciliation.
  - name: Customers
    description: Collection of APIs to handle customers.
  - name: Easy-Split
    description: Collection of APIs to handle Easy-Split.
  - name: Simulation
    description: Collection of APIs to handle simulation.
  - name: Disputes
    description: Collection of APIs to handle disputes.
  - name: Utilities
    description: Collection of APIs for utility requirement.
  - name: Downtimes
    description: Collection of APIs for managing downtimes.
externalDocs:
  url: https://api.cashfree.com/pg
  description: This url will have the information of all the APIs.
paths:
  /easy-split/vendors/{vendor_id}:
    get:
      tags:
        - Easy-Split
      summary: Get Vendor All Details
      description: >-
        Use this API to get the details of a specific vendor associated with
        your Easy Split account.
      operationId: PGESFetchVendors
      parameters:
        - $ref: '#/components/parameters/apiVersionHeader'
        - $ref: '#/components/parameters/vendorIDParam'
        - $ref: '#/components/parameters/xRequestIDHeader'
        - $ref: '#/components/parameters/xIdempotencyKeyHeader'
      responses:
        '200':
          $ref: '#/components/responses/getVendorSuccessResponse'
        '400':
          $ref: '#/components/responses/Response400InvalidVendorId'
      deprecated: false
      security:
        - XClientID: []
          XClientSecret: []
        - XClientID: []
          XPartnerAPIKey: []
        - XClientID: []
          XClientSignatureHeader: []
        - XPartnerMerchantID: []
          XPartnerAPIKey: []
components:
  parameters:
    apiVersionHeader:
      in: header
      name: x-api-version
      required: true
      description: API version to be used. Format is in YYYY-MM-DD.
      schema:
        type: string
        description: API version to be used.
        default: '2025-01-01'
      example: '2025-01-01'
      x-ignore: true
    vendorIDParam:
      name: vendor_id
      in: path
      required: true
      description: The id which uniquely identifies your vendor.
      schema:
        type: string
      example: your-vendor-id
    xRequestIDHeader:
      in: header
      name: x-request-id
      description: >-
        Request ID for the API call. Can be used to resolve tech issues.
        Communicate this in your tech related queries to Cashfree.
      required: false
      schema:
        type: string
      example: 4dfb9780-46fe-11ee-be56-0242ac120002
    xIdempotencyKeyHeader:
      in: header
      name: x-idempotency-key
      required: false
      description: >
        An idempotency key is a unique identifier you include with your API
        call.

        If the request fails or times out, you can safely retry it using the
        same key to avoid duplicate actions.
      schema:
        type: string
        format: UUID
      example: 47bf8872-46fe-11ee-be56-0242ac120002
  responses:
    getVendorSuccessResponse:
      description: >-
        Success response for getting the details of a specific vendor associated
        with your Easy Split account.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/VendorEntity'
          examples:
            PG:
              value:
                email: johndoe@cashfree.com
                status: IN_BENE_CREATION
                phone: 9876543210
                name: customer
                vendor_id: johntest11111
                added_on: '2023-03-02 12:12:56'
                updated_on: '2023-03-02 12:12:57'
                bank:
                  account_number: 123456111110
                  account_holder: JOHNDOE
                  ifsc: YESB0000262
                upi: null
                schedule_option:
                  settlement_schedule_message: T+1 settlement at 11:00 AM
                  schedule_id: 1
                  merchant_default: true
                vendor_type: PG
                account_type: BUSINESS
                business_type: NBFC
                related_docs:
                  - vendor_id: johntest11111
                    doc_type: CIN_NUMBER
                    doc_value: L00000Aa0000AaA000000
                    status: IN_REVIEW
                    remarks: null
                  - vendor_id: johntest11111
                    doc_type: GSTIN_NUMBER
                    doc_value: 11AAAAA1111A1Z0
                    status: IN_REVIEW
                    remarks: null
                  - vendor_id: johntest11111
                    doc_type: PAN_NUMBER
                    doc_value: BIAPA2934N
                    status: IN_REVIEW
                    remarks: null
                  - vendor_id: johntest11111
                    doc_type: PASSPORT_NUMBER
                    doc_value: L6892603
                    status: IN_REVIEW
                    remarks: null
                  - vendor_id: johntest11111
                    doc_type: UIDAI_NUMBER
                    doc_value: 753624181019
                    status: IN_REVIEW
                    remarks: null
            Auto Collect:
              value:
                email: johndoe@cashfree.com
                status: IN_BENE_CREATION
                phone: 9876543210
                name: customer
                vendor_id: johntest11111
                added_on: '2023-03-02 12:12:56'
                updated_on: '2023-03-02 12:12:57'
                bank:
                  account_number: 123456111110
                  account_holder: JOHNDOE
                  ifsc: YESB0000262
                upi: null
                schedule_option:
                  settlement_schedule_message: T+1 settlement at 11:00 AM
                  schedule_id: 1
                  merchant_default: true
                vendor_type: PG
                account_type: BUSINESS
                business_type: NBFC
                related_docs:
                  - vendor_id: johntest11111
                    doc_type: CIN_NUMBER
                    doc_value: L00000Aa0000AaA000000
                    status: IN_REVIEW
                    remarks: null
                  - vendor_id: johntest11111
                    doc_type: GSTIN_NUMBER
                    doc_value: 11AAAAA1111A1Z0
                    status: IN_REVIEW
                    remarks: null
                  - vendor_id: johntest11111
                    doc_type: PAN_NUMBER
                    doc_value: BIAPA2934N
                    status: IN_REVIEW
                    remarks: null
                  - vendor_id: johntest11111
                    doc_type: PASSPORT_NUMBER
                    doc_value: L6892603
                    status: IN_REVIEW
                    remarks: null
                  - vendor_id: johntest11111
                    doc_type: UIDAI_NUMBER
                    doc_value: 753624181019
                    status: IN_REVIEW
                    remarks: null
    Response400InvalidVendorId:
      description: Get Vendor Docs Failure Response.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BadRequestError'
          examples:
            Invalid vendorID:
              value:
                message: vendor does not exist
                code: api_request_failed
                type: invalid_request_error
  schemas:
    VendorEntity:
      title: VendorEntity
      description: Vendor entity object.
      type: object
      example:
        email: johndoe@cashfree.com
        status: IN_BENE_CREATION
        phone: 9876543210
        name: customer
        vendor_id: johntest11111
        added_on: '2023-03-02 12:12:56'
        updated_on: '2023-03-02 12:12:57'
        bank: []
        upi: null
        schedule_option: []
        vendor_type: PG
        account_type: BUSINESS
        business_type: NBFC
        remarks: Invalid bank account
        related_docs:
          - vendor_id: johntest11111
            doc_type: CIN_NUMBER
            doc_value: L00000Aa0000AaA000000
            status: IN_REVIEW
            remarks: null
          - vendor_id: johntest11111
            doc_type: GSTIN_NUMBER
            doc_value: 11AAAAA1111A1Z0
            status: IN_REVIEW
            remarks: null
          - vendor_id: johntest11111
            doc_type: PAN_NUMBER
            doc_value: BIAPA2934N
            status: IN_REVIEW
            remarks: null
          - vendor_id: johntest11111
            doc_type: PASSPORT_NUMBER
            doc_value: L6892603
            status: IN_REVIEW
            remarks: null
          - vendor_id: johntest11111
            doc_type: UIDAI_NUMBER
            doc_value: 753624181019
            status: IN_REVIEW
            remarks: null
      properties:
        email:
          type: string
        status:
          type: string
        phone:
          type: string
        name:
          type: string
        vendor_id:
          type: string
        added_on:
          type: string
        updated_on:
          type: string
        bank:
          type: array
          items:
            $ref: '#/components/schemas/BankDetails'
        upi:
          type: string
        schedule_option:
          type: array
          items:
            $ref: '#/components/schemas/ScheduleOption'
        vendor_type:
          type: string
        account_type:
          type: string
        business_type:
          type: string
        remarks:
          type: string
        related_docs:
          type: array
          items:
            type: object
            properties:
              vendor_id:
                type: string
              doc_type:
                type: string
              doc_value:
                type: string
              status:
                type: string
              remarks:
                type: string
    BadRequestError:
      title: BadRequestError
      description: Invalid request received from client.
      example:
        message: bad URL, please check API documentation
        help: >-
          Check latest errors and resolution from Merchant Dashboard API logs:
          https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9
        code: request_failed
        type: invalid_request_error
      type: object
      properties:
        message:
          type: string
        code:
          type: string
        help:
          type: string
        type:
          type: string
          enum:
            - invalid_request_error
    BankDetails:
      title: BankDetails
      type: object
      example:
        account_number: 123456111110
        account_holder: JOHNDOE
        ifsc: YESB0000262
      properties:
        account_number:
          type: string
        account_holder:
          type: string
        ifsc:
          type: string
    ScheduleOption:
      title: ScheduleOption
      type: object
      example:
        settlement_schedule_message: T+1 settlement at 11:00 AM
        schedule_id: 1
        merchant_default: true
      properties:
        settlement_schedule_message:
          type: string
        schedule_id:
          type: number
        merchant_default:
          type: boolean
  securitySchemes:
    XClientID:
      type: apiKey
      in: header
      name: x-client-id
      description: >-
        Client app ID. You can find your app id in the [Merchant
        Dashboard](https://merchant.cashfree.com/auth/login/pg/developers/api-keys?env=prod).
    XClientSecret:
      type: apiKey
      in: header
      name: x-client-secret
      description: >-
        Client secret key. You can find your secret key in the [Merchant
        Dashboard](https://merchant.cashfree.com/auth/login/pg/developers/api-keys?env=prod).
    XPartnerAPIKey:
      type: apiKey
      in: header
      name: x-partner-apikey
      description: >-
        If you are partner and you are making an api call on behalf of a
        merchant.
    XClientSignatureHeader:
      type: apiKey
      in: header
      name: x-client-signature
      description: >-
        Use this if you do not want to pass the secret key and instead want to
        use signature.
    XPartnerMerchantID:
      type: apiKey
      in: header
      name: x-partner-merchantid
      description: >-
        If you are partner use this to specify the merchant ID if you don't have
        the merchant client app ID.

````